> ## Documentation Index
> Fetch the complete documentation index at: https://luminouslabs-cc5545c6-swen-token-interface.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieve the signatures of the transactions that closed or opened a compressed account with the given address. Overview with RPC method guide.

# Getcompressionsignaturesforaddress



## OpenAPI

````yaml post /getCompressionSignaturesForAddress
openapi: 3.0.3
info:
  title: photon-indexer
  description: Solana indexer for general compression
  license:
    name: Apache-2.0
  version: 0.50.0
servers:
  - url: https://devnet.helius-rpc.com
security: []
paths:
  /getCompressionSignaturesForAddress:
    summary: getCompressionSignaturesForAddress
    post:
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - id
                - method
                - params
              properties:
                id:
                  type: string
                  description: An ID to identify the request.
                  enum:
                    - test-account
                jsonrpc:
                  type: string
                  description: The version of the JSON-RPC protocol.
                  enum:
                    - '2.0'
                method:
                  type: string
                  description: The name of the method to invoke.
                  enum:
                    - getCompressionSignaturesForAddress
                params:
                  type: object
                  required:
                    - address
                  properties:
                    address:
                      $ref: '#/components/schemas/SerializablePubkey'
                    cursor:
                      type: string
                      nullable: true
                    limit:
                      allOf:
                        - $ref: '#/components/schemas/Limit'
                      nullable: true
                  additionalProperties: false
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                required:
                  - jsonrpc
                  - id
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                  id:
                    type: string
                    description: An ID to identify the response.
                    enum:
                      - test-account
                  jsonrpc:
                    type: string
                    description: The version of the JSON-RPC protocol.
                    enum:
                      - '2.0'
                  result:
                    type: object
                    required:
                      - context
                      - value
                    properties:
                      context:
                        $ref: '#/components/schemas/Context'
                      value:
                        $ref: '#/components/schemas/PaginatedSignatureInfoList'
                    additionalProperties: false
        '429':
          description: Exceeded rate limit.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                  id:
                    type: string
                  jsonrpc:
                    type: string
        '500':
          description: >-
            The server encountered an unexpected condition that prevented it
            from fulfilling the request.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                  id:
                    type: string
                  jsonrpc:
                    type: string
components:
  schemas:
    SerializablePubkey:
      type: string
      description: A Solana public key represented as a base58 string.
      default: 111111131h1vYVSYuKP6AhS86fbRdMw9XHiZAvAaj
      example: 111111131h1vYVSYuKP6AhS86fbRdMw9XHiZAvAaj
    Limit:
      type: integer
      format: uint64
      minimum: 0
    Context:
      type: object
      required:
        - slot
      properties:
        slot:
          type: integer
          format: uint64
          default: 100
          example: 100
    PaginatedSignatureInfoList:
      type: object
      required:
        - items
      properties:
        cursor:
          type: string
          nullable: true
        items:
          type: array
          items:
            $ref: '#/components/schemas/SignatureInfo'
    SignatureInfo:
      type: object
      required:
        - signature
        - slot
        - blockTime
      properties:
        blockTime:
          $ref: '#/components/schemas/UnixTimestamp'
        signature:
          $ref: '#/components/schemas/SerializableSignature'
        slot:
          $ref: '#/components/schemas/UnsignedInteger'
    UnixTimestamp:
      type: integer
      description: An Unix timestamp (seconds)
      default: 1714081554
      example: 1714081554
    SerializableSignature:
      type: string
      description: A Solana transaction signature.
      default: 5J8H5sTvEhnGcB4R8K1n7mfoiWUD9RzPVGES7e3WxC7c
      example: 5J8H5sTvEhnGcB4R8K1n7mfoiWUD9RzPVGES7e3WxC7c
    UnsignedInteger:
      type: integer
      format: uint64
      default: 100
      example: 100

````